# TODO
# - add --delete-remote patches:
#  - http://wget-bugs.ferrara.linux.it/issue9
#  - or http://osdir.com/ml/web.wget.patches/2005-09/msg00006.html
Summary:	A utility for retrieving files using the HTTP or FTP protocols
Summary(es.UTF-8):	Cliente en línea de comando para bajar archivos WWW/FTP con recursión opcional
Summary(fr.UTF-8):	Un utilitaire pour recuperer des fichiers en utilisant les protocoles HTTP ou FTP
Summary(pl.UTF-8):	Wsadowy klient HTTP/FTP
Summary(pt_BR.UTF-8):	Cliente na linha de comando para baixar arquivos WWW/FTP com recursão opcional
Summary(ru.UTF-8):	Утилита для получения файлов по протоколам HTTP и FTP
Summary(uk.UTF-8):	Утиліта для отримання файлів по протоколам HTTP та FTP
Summary(zh_CN.UTF-8):	[通讯]功能强大的下载程序,支持断点续传
Name:		wget
Version:	1.11.4
Release:	2
License:	GPL v3+
Group:		Networking/Utilities
Source0:	http://ftp.gnu.org/gnu/wget/%{name}-%{version}.tar.bz2
# Source0-md5:	f5076a8c2ec2b7f334cb6e3059820f9c
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	d8b2b56ec7461606c22edbafaf8a418f
Patch0:		%{name}-info.patch
Patch1:		%{name}-ac.patch
Patch2:		%{name}-wgetrc_path.patch
Patch3:		%{name}-home_etc.patch
Patch4:		%{name}-noabort.patch
URL:		http://wget.sunsite.dk/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel >= 0.9.7m
BuildRequires:	texinfo
BuildRequires:	perl-devel
Provides:	webclient
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqfiles		%{_bindir}/rmold

%description
GNU Wget is a file retrieval utility which can use either the HTTP or
FTP protocols. Wget features include the ability to work in the
background while you're logged out, recursive retrieval of
directories, file name wildcard matching, remote file timestamp
storage and comparison, use of Rest with FTP servers and Range with
HTTP servers to retrieve files over slow or unstable connections,
support for Proxy servers, and configurability.

%description -l es.UTF-8
GNU wget es una herramienta de red para bajar archivos usando HTTP y
FTP. Funciona en modo no interactivo, pudiendo trabajar en background.
Funciona muy bien, incluso en conexiones lentas o inestables, bajando
el archivo hasta que sea completamente recibido.

%description -l fr.UTF-8
GNU Wget est un utilitaire pour récupérer des fichiers qui peut
utiliser indifféremment les protocoles HTTP ou FTP. Parmi les
caractéristiques de Wget, citons la capacité à récupérer des fichiers
en arrière-plan alors que vous n'êtes pas connecté, la récupération
récursive de répertoires, la capacité de récupérer des fichiers en
appliquant un filtre sur le nom ou sur la date, la gestion de Rest
avec les serveurs FTP et de Range avec les serveurs HTTP pour
récupérer des fichiers avec une connexion lente ou instable, le
support des serveurs Proxy... Wget est particulièrement configurable.

%description -l ja.UTF-8
GNU wget は HTTP か FTP プロトコルのどちらかを使用することができる
ファイルを取得するユーティリティです。wget はログアウトしている
間にバックグラウンドで働く特徴をもっていること、ディレクトリの再帰的
取得、ファイルネームのワイルドカードマッチング、ファイルのタイムスタンプの
保存と比較、遅く不安定な接続で FTP サーバの Rest と HTTP サーバの
Range の使用、プロキシーサーバのサポートと設定の容易さを含んだ特徴を
もっています。

%description -l pl.UTF-8
Wget jest klientem FTP/HTTP przeznaczonym do ściągania zasobów
wsadowo. Umożliwia ściąganie zasobów z podkatalogami, a także ma opcje
umożliwiające wykonanie lokalnej kopii zasobów (mirror). W razie
niemożności dostania się do zasobów lub gdy połączenie z serwerem
FTP/HTTP zostanie zerwane, może automatycznie ponawiać próby
kopiowania. Jest także dobrze przystosowany do tego, żeby uruchamiać
go jako zadanie z crona.

%description -l pt_BR.UTF-8
O GNU wget é uma ferramenta de rede para baixar arquivos usando HTTP e
FTP. Ele funciona em modo não interativo, podendo trabalhar em
background. Funciona muito bem, mesmo em conexões lentas ou instáveis,
baixando o arquivo até que ele seja completamente recebido.

%description -l ru.UTF-8
GNU Wget - это утилита командной строки для получения файлов по
протоколам FTP и HTTP. Среди возможностей Wget - работа в фоновом
режиме когда вы выходите из системы, рекурсивное извлечение каталогов,
выбор файлов по шаблону, сравнение времени удаленных и локальных
файлов, сохранение времени удаленных файлов при загрузке,
использование REST с FTP серверами и Range с HTTP серверами для
загрузки файлов по медленным или нестабильным каналам, поддержка Proxy
серверов, конфигурируемость.

%description -l uk.UTF-8
GNU Wget - це утиліта командного рядка для отримання файлів по
протоколам FTP та HTTP. Серед можливостей Wget - робота в фоновому
режимі коли ви виходите із системи, рекурсивне отримання каталогів,
вибір файлів по шаблону, порівняння часу віддалених та локальних
файлів, збереження часу віддалених файлів при завантаженні,
використання REST з FTP серверами та Range з HTTP серверами для
завантаження файлів по повільним чи нестабільним каналам, підтримка
Proxy серверів, настроюваність.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
rm -f doc/wget.info doc/sample.wgetrc.munged_for_texi_inclusion

%build
%{__libtoolize}
cp -f /usr/share/automake/config.* .
%{__gettextize}
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%configure \
	--with-ssl
%{__make}
tail -n 6 util/README >rmold.README

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GETTEXT_PACKAGE=wget

install util/rmold.pl		$RPM_BUILD_ROOT%{_bindir}/rmold
install doc/sample.wgetrc	$RPM_BUILD_ROOT%{_sysconfdir}/wgetrc

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
rm -f $RPM_BUILD_ROOT%{_mandir}/README*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README MAILING-LIST rmold.README
%verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/%{name}rc
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%{_infodir}/*.info*
%changelog
* Tue Jan 06 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/wget.git;a=log;h=AC-branch

* Tue Jan 06 2015 Elan Ruusamäe <glen@delfi.ee> bd9f994
- openssl rebuild
- release 2 (by relup.sh)

* Mon Jun 30 2008 Adam Gołębiowski <adamg@pld-linux.org> 87c95d5
- updated to 1.11.4

* Wed Jun 11 2008 hawk <hawk@pld-linux.org> abdbaf6
- release 2

* Sat May 31 2008 Jakub Bogusz <qboosh@pld-linux.org> 149fbb8
- updated to 1.11.3
- removed obsolete pl patch

* Sat May 31 2008 Jakub Bogusz <qboosh@pld-linux.org> 3d98fdb
- obsolete

* Sat May 10 2008 Jakub Bogusz <qboosh@pld-linux.org> de801ac
- some fixes in pl patch; release 3

* Sat May 10 2008 Jakub Bogusz <qboosh@pld-linux.org> 402cbee
- updated to official version, as sent to TP (includes some typo fixes)

* Sat May 03 2008 Adam Gołębiowski <adamg@pld-linux.org> 7826c74
- release 2 (1 is for Ac)

* Sat May 03 2008 Adam Gołębiowski <adamg@pld-linux.org> 3d6c3aa
- updated to 1.11.2

* Fri Apr 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 932c0ff
- fixed pl patch
- unified ftp.gnu.org URL
- GPL v3+ now

* Fri Apr 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 16eab39
- plural forms fixed

* Fri Apr 04 2008 Jakub Bogusz <qboosh@pld-linux.org> bfcebb0
- some fixes+consistency

* Mon Mar 31 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> bd89e6e
- release 2 for Ac

* Mon Mar 31 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> da16713
- downgrade BR: openssl-devel for Ac

* Sat Mar 29 2008 Adam Gołębiowski <adamg@pld-linux.org> 661545e
- updated to 1.11.1

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 5b82f0a
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Thu May 10 2007 Elan Ruusamäe <glen@pld-linux.org> c3c2be6
- add --delete-remote todo

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 9452547
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 25fbbd9
- converted to UTF-8

* Sun Oct 01 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b70bb7
- rebuild

